package com.atlassian.stash.internal.web.widgets.permissions;

import com.atlassian.bitbucket.permission.Permission;

import java.util.List;

/**
 * A {@link List} of these is used to populate the {@code permission-table.soy} template.
 */
public class PermissionData {

    private final Permission permission;
    private final String i18nName;
    private final String i18nDescription;

    public PermissionData(final Permission permission, final String i18nName, final String i18nDescription) {
        this.permission = permission;
        this.i18nName = i18nName;
        this.i18nDescription = i18nDescription;
    }

    public Permission getPermission() {
        return permission;
    }

    public String getI18nName() {
        return i18nName;
    }

    public String getI18nDescription() {
        return i18nDescription;
    }

}
